



function RealPoint(x, y)
{
	
	var self = this;
	
	//initialization
	self.x = x;
	self.y = y;
	


	self.duplicate = function()
	/* return a new RealPoint that's a clone of the given point */
	{
		return new RealPoint(self.x, self.y);
	}


	self.scalarMult = function(a)
	/* return a new RealPoint that's a scalar multiple of the given point */
	{
		return new RealPoint(a * self.x, a * self.y);
	}


	self.rotate = function(t)
	/* return a new RealPoint that's the given point rotated counterclockwise by t radians */
	{
		var s = Math.sin(t);
		var c = Math.cos(t);
		return new RealPoint(c*self.x - s*self.y, s*self.x + c*self.y);
	}
	
}